> ## Documentation Index
> Fetch the complete documentation index at: https://docs.variable.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activity Groups

> List your company's activity groups

export const permission_0 = 'activity:read'

<Info>Requires permission: **{permission_0}**</Info>


## OpenAPI

````yaml GET /v1/activity/group
openapi: 3.0.1
info:
  title: Variable API
  description: This is the Variable API
  version: 1.1.0
servers:
  - url: https://app.variable.global/api
security:
  - basicAuth: []
  - bearerAuth: []
  - oAuthNoScopes: []
paths:
  /v1/activity/group:
    get:
      summary: Get a list of activity groups
      description: >
        List your company's activity groups. Pass a group's `uuid` as
        `activityGroup` to

        `GET /v1/activity` to read its activities.
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
      responses:
        '200':
          description: A list of activity groups
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponse'
        '401':
          description: ExpiredToken
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpiredTokenResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    limit:
      name: limit
      in: query
      description: Limit the number of results
      required: false
      schema:
        type: integer
        example: 100
    page:
      name: page
      in: query
      description: The page number
      required: false
      schema:
        type: integer
        example: 1
  schemas:
    ListResponse:
      type: object
      properties:
        count:
          type: integer
          example: 1500
        page:
          type: integer
          example: 1
        pageSize:
          type: integer
          example: 100
        data:
          type: array
          items:
            $ref: '#/components/schemas/IDAndName'
    ExpiredTokenResponse:
      type: object
      properties:
        message:
          type: string
          example: token expired
    IDAndName:
      type: object
      properties:
        uuid:
          $ref: '#/components/schemas/UUID'
        name:
          type: string
          example: Name
    UUID:
      type: string
      format: uuid
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oAuthNoScopes:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /auth/token
          scopes: {}

````